Ginkgo: gko::matrix::Csr< ValueType, IndexType >::permuting_reuse_info Struct Reference

| Ginkgo Generated from branch based on main. Ginkgo version 1.11.0 A numerical linear algebra library targeting many-core architectures

Loading...
Searching...
No Matches
gko::matrix::Csr< ValueType, IndexType >::permuting_reuse_info Struct Reference

A struct describing a transformation of the matrix that reorders the values of the matrix into the transformed matrix. More...

`#include <ginkgo/core/matrix/csr.hpp>`

Collaboration diagram for gko::matrix::Csr< ValueType, IndexType >::permuting_reuse_info:
[legend]

## Public Member Functions
| permuting_reuse_info ()
| Creates an empty reuse info.
| permuting_reuse_info (std::unique_ptr< Permutation< index_type > > value_permutation)
| Creates a reuse info structure from its value permutation.
void | update_values (ptr_param< const Csr > input, ptr_param< Csr > output) const
| Propagates the values from an input matrix to the transformed matrix.

## Public Attributes
std::unique_ptr< Permutation< IndexType > > | value_permutation

## Detailed Description

template<typename ValueType = default_precision, typename IndexType = int32>
struct gko::matrix::Csr< ValueType, IndexType >::permuting_reuse_info

A struct describing a transformation of the matrix that reorders the values of the matrix into the transformed matrix.

## Member Function Documentation

## ◆ update_values()

template<typename ValueType = default_precision, typename IndexType = int32>

void gko::matrix::Csr< ValueType, IndexType >::permuting_reuse_info::update_values | ( | ptr_param< const Csr > | input,
|  | ptr_param< Csr > | output ) const

Propagates the values from an input matrix to the transformed matrix.

The output matrix needs to have been computed using the transformation that was also used to generate this reuse data. Internally, this permutes the input value vector into the output value vector.

The documentation for this struct was generated from the following file:

- ginkgo/core/matrix/csr.hpp